Name:           python-service-identity
Version:        18.1.0
Release:        %mkrel 3
Summary:        Service identity verification for pyOpenSSL
Group:          Development/Python
License:        MIT
URL:            https://github.com/pyca/service_identity
Source0:        https://pypi.python.org/packages/source/s/service_identity/service_identity-%{version}.tar.gz
BuildArch:      noarch

%description
Service Identity Verification for pyOpenSSL

Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%package -n python3-service-identity
Summary:        Logging as Storytelling
Group:          Development/Python
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-service-identity}

%description -n python3-service-identity
Service Identity Verification for pyOpenSSL

Use this package if you use pyOpenSSL and don’t want to be MITMed.

service_identity aspires to give you all the tools you need for verifying
whether a certificate is valid for the intended purposes.

In the simplest case, this means host name verification. However,
service_identity implements RFC 6125 fully and plans to add other relevant RFCs
too.

%prep
%setup -q -n service_identity-%{version}

# Remove bundled egg-info
rm -rf service_identity.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-service-identity
%license LICENSE
%doc README.rst
%{python3_sitelib}/service_identity
%{python3_sitelib}/service_identity-%{version}-py%{python3_version}.egg-info


%changelog
* Sun Feb 16 2020 umeabot <umeabot> 18.1.0-3.mga8
+ Revision: 1530718
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 18.1.0-2.mga8
+ Revision: 1437347
- rebuild for python3.8
- drop python2 support

* Sat Apr 20 2019 wally <wally> 18.1.0-1.mga7
+ Revision: 1393857
- new version 18.1.0

* Mon Jan 07 2019 wally <wally> 16.0.0-4.mga7
+ Revision: 1350921
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 16.0.0-3.mga7
+ Revision: 1290019
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 16.0.0-2.mga7
+ Revision: 1135629
- Rebuild for python 3.6

* Sun Feb 28 2016 philippem <philippem> 16.0.0-1.mga6
+ Revision: 980211
- update to 16.0.0

* Sat Feb 20 2016 umeabot <umeabot> 14.0.0-2.mga6
+ Revision: 971947
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 philippem <philippem> 14.0.0-1.mga6
+ Revision: 893670
- imported package python-service-identity

